{ config, ... }:

{
  deployment = {
    persistedShares = [ "/etc" "/home" "/var" ];
    mem = 512;
  };
  c3d2.hq.statistics.enable = true;

  networking = {
    hostName = "owncast";
    firewall.allowedTCPPorts = [ 80 443 ];
  };

  services.owncast = {
    enable = true;
    openFirewall = true;
  };

  services.nginx = {
    enable = true;
    recommendedOptimisation = true;
    recommendedTlsSettings = true;
    recommendedGzipSettings = true;
    virtualHosts."owncast.c3d2.de" = {
      default = true;
      forceSSL = true;
      enableACME = true;

      locations."/".proxyPass =
        let
          inherit (config.services.owncast) port;
        in
          "http://localhost:${toString port}";
    };
  };
}
